# Fees & Rewards

### TL;DR

* Fees can be categorized as:
  * [Protocol fees](#protocol-fees)
  * Network fees
* Rewards are issued as Panther Reward Points (PRPs)

### Introduction

Rewards are issued for all activities that contribute to the Protocol’s privacy set. With the exception of the withdrawal fee, Protocol fees are charged as a gas fee, while the gas fee for the underlying chain is paid in that chain’s native token. Fees are paid to service providers and Ecosystem Operators that contribute to the transaction lifecycle. A fee is paid on the withdrawal of assets from the Protocol, as this decreases the Protocol’s privacy set.

### Rewards

Users receive rewards whenever they conduct an activity beneficial to the Protocol’s privacy set. PRPs, Panther Reward Points, are issued for these in-app activities:

* Onboarding

> Account creation is incentivized through an onboarding reward. This is key to building a network effect at launch.

* Deposit

> Locking assets in the Panther Vault in exchange for [zAssets](https://docs.pantherprotocol.io/docs/panther-core/panther-core/overview).

* Send

> Transferring zAssets to another Panther [zAccount](https://docs.pantherprotocol.io/docs/panther-core/panther-core/zaccount).

* Stake

> Note, staking will be included in the mainnet beta app's function, at testnet, it's achieved through a [separate app](https://github.com/pantherprotocol/panther-protocol-doc/blob/main/staking/get-started.md).

* Using [DeFi adaptors](https://docs.pantherprotocol.io/docs/interoperability/defi-adaptors)

### Fees

Protocol fees are paid to Ecosystem Operators for their part in the transaction lifecycle, while the base chain's network fee, in this case Polygon's gas fee, is paid in their native token, i.e. on Polygon, in Matic. As per the following image showing the dApp deposit page.

![](https://3222612406-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2Ffjt2vLu9LbWbcWVioR8l%2Fuploads%2Fgit-blob-f49be67d72891f23a773e1c23a1e3067d8d605db%2Ffee-categories.png?alt=media)

#### Protocol fees

There are currently 4 Protocol fees:

* Relayer fee
* Processing fee
* Withdrawal fee
* KYC fee

As Panther releases the Protocol onto more chains and enters its [multi-chain](https://docs.pantherprotocol.io/docs/panther-core/panther-core/shielded-pool#multi-chain-shielded-pools) phase, the cross-network gas fee will also apply.

**Relayer fee**

[Relayers](https://github.com/pantherprotocol/panther-protocol-doc/blob/main/fees-and-rewards/\(../ecosystem-operators/relayer/README.md\)) provide an optional service to Protocol users that adds to transactional privacy. Using the account abstraction model, Relayers sign transactions, pay the gas fees, and pass bundles of transactions to be executed in the [Shielded Pool](https://docs.pantherprotocol.io/docs/panther-core/panther-core/shielded-pool) contract. This masks the origin of the account that created the transaction.

**Processing fee**

The processing fee pays the [zMiner](https://docs.pantherprotocol.io/docs/ecosystem/ecosystem-operators/zminer), an Ecosystem Operator that provides distributed computational power to support the Protocol transaction layer.

**Withdrawal fee**

Users are incentivized with rewards to remain in the Protocol, and disincentivized to remove assets with a withdrawal fee. As assets are removed from the Shielded Pool, the privacy set is decreased, and so a fee is applied in the token of transaction. This is a direct cost applied when users decide to move their assets out of the privacy-preserving environment of the Shielded Pool and back into their wallet address or other destination. As per the following image showing the dApp withdrawal page: note the fee level is still to be determined by the DAO, the value shown is a placeholder item only.

![](https://3222612406-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2Ffjt2vLu9LbWbcWVioR8l%2Fuploads%2Fgit-blob-22632d1dc593b4a41b29c2bd35b44b2117d7f87c%2Fwithdraw-fee.png?alt=media)

**KYC fee**

To create a zAccount, the user must comply with the KYC conditions stipulated by the manager of the [Zone](https://docs.pantherprotocol.io/docs/ecosystem/ecosystem-operators/zone-manager) they are attempting to join. Typically, for most locales, this KYC process must be undertaken annually, and the fee is paid directly to the third-party service provider.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.pantherprotocol.io/docs/ecosystem/fees-and-rewards.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
